export class LanguageUtils_ENG {
  static possess(owner: string, possession: string) {
    return owner + (owner.endsWith("s") ? "'" : "'s") + " " + possession;
  }
  static pluralize(string: string) {
    if (string.match(/(?:s|ch|sh|x|z|[^aeiou]o)$/)) return string + "es";
    else if (string.match(/[aeiou](?:y|o)$/)) return string + "s";
    else if (string.match(/[^aeiou]y$/)) return string.slice(0, -1) + "ies";
    else if (string.match(/(?:f|fe)$/)) return string.slice(0, -1) + "ves";
    else return string + "s";
  }
}
